[P003]Analytics Query Search and Filter

post
https://connect.patsnap.com/search/patent/query/v2
Try in Sandbox

Receive the aggregated statistical results of specified field dimension, according to the search results of query.

1.It supports retrieving Top200 statistical results at most, in which a single call can return Top100 statistical results at most, and supports retrieving the ranked statistical results through offset setting.

2.The maximum length of the search query is 3,000 characters, and it cannot contain complex wildcards such as $W $PRE $WS $SEN $PARA $FREQ etc.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
query
Required
stringTTL:汽车
Enter the Analytics Query, with a maximum length of 3,000 characters and cannot contain complex wildcards such as $W $PRE $WS $SEN $PARA $FREQ .etc
field
Required
stringASSIGNEE
Filter field dimension, please enter the field code, up to 5 fields are supported, separated by comma.

AUTHORITY: Authority (https://analytics.patsnap.com/status)

PATENT_TYPE: Patent Type(A: Applications B: Patents U: Utility models D: Designs AB: Applications+Patents)

PUBLICATION_YEAR: Publication Year

APPLICATION_YEAR: Application Year

ISSUE_YEAR: Issue Year

PRIORITY_YEAR: Priority Year

CURRENT_ASSIGNEE: Current Assignee

ORIGINAL_ASSIGNEE: Original Assignee (Applicant)

ASSIGNEE: Std. Current Assignee

STD_ORIGINAL_ASSIGNEE: Std. Original Assignee (Applicant)

INVENTOR: Inventor

AGENCY: Agency

ANCS_TYPE: Std. Current Assignee Type(ACADEMY, COMPANY, GOVERNMENT, PERSON, HOSPITAL, BANK, OTHER)

IPC: IPC

IPC_SECTION: IPC-IPC Section

IPC_CLASS: IPC-IPC Class

IPC_SUB_CLASS: IPC-IPC Sub Class

IPC_MAIN_GROUP: IPC-IPC Group

CPC: Main CPC

CPC_SECTION: CPC-CPC Section

CPC_CLASS: CPC-CPC Class

CPC_SUB_CLASS: CPC-CPC Sub Class

CPC_MAIN_GROUP: CPC-CPC Group

SIMPLE_LEGAL_STATUS: Simple Legal Status (0:Inactive 1:Active 2:Pending 220:PCT designated stage expired 221:PCT designated stage 999:Undetermined)

LEGAL_STATUS: Legal Status (1:Published 2:Examining 3:Granted 8:Double 11:Withdrawn 13:Rejected 14:Revoked 15:Expired 16:Non-payment 21:Restoration 22:Ceased 23:P-Revoked 24:Discontinuation 30:Abandoned 222:Non-Entry PCT-NP (In time limit)) 223:PCT-NP (In time limit) 224:PCT-NP (Past time limit) 225:Non-Entry PCT-NP (Past time limit))

LEGAL_EVENT: Legal Events (61:Transfer 62:License 63:Pledge 64:Trust 65:Opposition 66:Re-examination 69:Customs 70:Litigation 71:Preservation 72:Invalid-procedure 73:Oral-procedure 74:Declassification 75:Dual filing(Double application))

lang
stringcn
Select the language, the default language is cn, you can choose cn、en or jp.
collapse_type
stringALL
Select the collapse type, "ALL" or Null value means no collapse; "APNO" means collapse according to application number; "DOCDB" means collapse according to simple family; "INPADOC" means collapse according to inpadoc family; "EXTEND" means collapse according to patsnap family
collapse_by
stringPBD

Select the sort field for patent collapse,

"APD" means order according to application date;

"PBD" means order according to publication date;

"AUTHORITY" means order according to authority;

"SCORE" means order according to the relevance score

collapse_order
stringLATEST
Select the patent collapse ordering rule that is valid only if collapse_by is APD or PBD, setting OLDEST or LATEST to keep the earliest or latest one
collapse_order_authority
array[ "CN", "US", "EP", "JP", "KR" ]
Sets the order of patent collapse according to the input authorities priority list, valid only if collapse_by is AUTHORITY
limit
Required
integer<int32>50
Returns the number of statistical results, 1 <= limit <= 100,default is 50
offset
Required
integer<int32>-
0 <= offset+limit <= 200
stemming
integer<int32>-

Whether to turn on the stemming function, 1: turn on; 0: turn off. Off by default

Note:

Stemming ON will search for the original word and expand the search to consider singular, plural, and tense variations e.g. a search for "come" will expand to "comes", "came", "coming" and so on.

Stemming OFF will only search for exact matches of the keywords entered.

The use of wildcards in keywords within a search query will impact the effect of stemming.

Stemming ON only supports English words. Stemming does not apply to Assignees, Inventors, or any other person-related fields.

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found